import Nuron from 'nuron-node'
import got from 'got';
import Dendria from '../index.js';
const nuron = new Nuron();
const dendria = new Dendria(nuron, {
  //connect: "https://connect.nuron.app/ucan",
  connect: "https://dendria.vercel.app/api/connect",
  publish: "https://api.nft.storage"
});
(async () => {
  await nuron.init()

  if (!nuron.unlocked) {
    console.log("locked. let's create an account")
    await nuron.create()
    console.log("nuron", nuron)
    await nuron.register("alice", "1234")
    await nuron.login("alice", "1234")
  }

  console.log("cache", dendria.nuron.cache)
  await dendria.init()

  let session = await dendria.session()
  if (!session) {
    console.log("connect to dendria")
    await dendria.connect() 
  }
  session = await dendria.session()
  console.log("new session", session)

  let cid = await dendria.publish("lorem ipsum")
  console.log("cid", cid)

})();
